/*
=================
 MY ACCOUNT PAGE
=================
*/

/* input fields (account info) */
input.woocommerce-Input {
  color: var(--color-text-secondary) !important;
  background-color: var(--color-bg-other) !important;
  border-width: 1px !important;
  border-style: solid !important;
  border-color: var(--color-text-secondary) !important;
  border-radius: var(--radius-md) !important;
}

/* flexbox for 'remember me' label (when not signed in) */
.form-row .woocommerce-form__label.woocommerce-form__label-for-checkbox {
  display: flex;
  gap: 8px;
}

/* vertically align checkbox with 'remember me' text (when not signed in) */
.form-row .woocommerce-form__label.woocommerce-form__label-for-checkbox input[type="checkbox"].woocommerce-form__input.woocommerce-form__input-checkbox {
  margin: 11px 0 0;
}
/* checkbox beside 'remember me' text (when not signed in) */
input[type="checkbox"].woocommerce-form__input.woocommerce-form__input-checkbox {
  /*margin-bottom: 11px;*/
}

/* form backgrounds */
form.woocommerce-form p.woocommerce-form-row input.woocommerce-Input {
  color: var(--color-text-secondary);
  background-color: var(--color-bg-other);
  border-width: 1px !important;
  border-style: solid !important;
  border-color: var(--color-text-secondary) !important;
  border-radius: var(--radius-md);
}

/* show password input toggle spacing */
p.woocommerce-form-row.form-row span.password-input.form-group button.show-password-input {
  margin-top: 20px;
}

/* sidebar tabs */
.wcmamtx_vertical li.woocommerce-MyAccount-navigation-link {
  font-size: var(--text-md);
}

/* address titles (my addresses) */
.woocommerce-Address-title.title h2,
/* address title buttons (my addresses) */
.woocommerce-Address-title.title a {
  color: var(--color-text-primary);
}

/* currency symbols (my orders / order details) */
.woocommerce-Price-amount.amount bdi {
  color: var(--color-text-secondary);
}

/* header texts (when not signed in) */
.woocommerce h2,
/* address title buttons (my addresses) */
.woocommerce-Address-title.title a {
  font-family: var(--font-primary);
}

/* create gap between page content and footer */
.wrapper .main.main-raised {
  margin-bottom: 30px;
}

/* sidebar sizing, spacing, border & text  */
.woocommerce-MyAccount-navigation.wsmt_extra_navclass .wcmamtx_vertical {
  width: 210px;
  padding: 10px;
  padding-left: 25px;
  background-color: var(--color-bg-secondary);
  border-radius: var(--radius-md);
  text-wrap: nowrap;
  box-shadow: 1px 1px var(--color-black);
}

/* page container bottom padding */
.wsmt_extra_navclass {
  padding-bottom: 30px;
}

/* hide sidebar duplicate tab icons */
.fa.fa-tachometer-alt,
.fa.fa-shopping-basket,
.fa.fa-home,
.fa.fa-user,
.fa.fa-file-alt,
.fa.fa-sign-out-alt {
  display: none;
}

/* remove vertical space between sidebar texts and icons */
.wcmamtx_vertical li.woocommerce-MyAccount-navigation-link a.woocommerce-MyAccount-navigation-link_a::before {
  margin-right: 0;
}

/* hack 'login' section left side (when not signed in) */
.u-column1.col-1 {
  margin-left: 25px;
}

@media only screen and (max-width: 768px) {
  /* hack 'register' section left side (when not signed in) */
  .u-column2.col-2 {
    margin-left: 25px;
  }
  /* hack right side of both sections (when not signed in) */
  .u-column1.col-1,
  .u-column2.col-2 {
    padding-right: 35px;
  }
  /* vertically align checkbox with 'remember me' text (when not signed in) */
  .form-row .woocommerce-form__label.woocommerce-form__label-for-checkbox input[type="checkbox"].woocommerce-form__input.woocommerce-form__input-checkbox {
    margin: 9px 0 0;
  }
}

span.password-input.form-group button.show-password-input {
  padding-right: 45px;
}
